> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/datamart-management/dashboards.md).

# Dashboards

Operations related to Dashboards for visualizing and monitoring platform metrics, campaign performance, and audience analytics. Supports custom dashboard creation with OTQL queries, multiple visualization types (metrics, charts, tables), data transformations. Dashboards can be attached to segments for dynamic audience insights during segment building.

## GET /charts

> Search dashboard charts

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Dashboards","description":"Operations related to Dashboards for visualizing and monitoring platform metrics, campaign performance, and audience analytics. Supports custom dashboard creation with OTQL queries, multiple visualization types (metrics, charts, tables), data transformations. Dashboards can be attached to segments for dynamic audience insights during segment building."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/charts":{"get":{"tags":["Dashboards"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"max_results":{"type":"integer"},"total":{"type":"integer"},"first_result":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/DashboardChartResource"}},"status":{"type":"string","enum":["ok"]},"count":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"style":"form","explode":true,"required":true,"name":"organisation_id","schema":{"type":"integer","format":"int64"},"in":"query"},{"description":"Chart title (or a part of title)","in":"query","style":"form","schema":{"type":"string"},"name":"title","explode":true,"required":false},{"in":"query","schema":{"type":"string"},"description":"Chart type","style":"form","explode":true,"required":false,"name":"type"},{"in":"query","name":"archived","schema":{"type":"boolean"},"required":false,"style":"form","description":"If true the result will contain only archived charts","explode":true},{"in":"query","style":"form","explode":true,"required":false,"description":"Fields used to order the result","name":"order_by","schema":{"type":"array","items":{"type":"string"}}},{"in":"query","explode":true,"schema":{"type":"integer","format":"int32"},"required":false,"style":"form","name":"first_result","description":"Offset from which the search must be performed"},{"style":"form","schema":{"type":"integer","format":"int32"},"in":"query","required":false,"explode":true,"name":"max_results","description":"Number of maximum items that shall be return by this search"}],"description":"","summary":"Search dashboard charts","operationId":"findDashboardCharts"}}},"components":{"schemas":{"DashboardChartResource":{"type":"object","properties":{"type":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"title":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false}},"required":["archived","content","created_by","created_ts","id","organisation_id","title","type"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /charts

> Create dashboard chart

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Dashboards","description":"Operations related to Dashboards for visualizing and monitoring platform metrics, campaign performance, and audience analytics. Supports custom dashboard creation with OTQL queries, multiple visualization types (metrics, charts, tables), data transformations. Dashboards can be attached to segments for dynamic audience insights during segment building."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/charts":{"post":{"summary":"Create dashboard chart","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DashboardChartResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","requestBody":{"description":"The dashboard chart to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardChartResource"}}},"required":true},"tags":["Dashboards"],"operationId":"createDashboardChart"}}},"components":{"schemas":{"DashboardChartResource":{"type":"object","properties":{"type":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"title":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false}},"required":["archived","content","created_by","created_ts","id","organisation_id","title","type"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /dashboards/{dashboard\_registration\_id}/contents

> Search dashboard contents

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Dashboards","description":"Operations related to Dashboards for visualizing and monitoring platform metrics, campaign performance, and audience analytics. Supports custom dashboard creation with OTQL queries, multiple visualization types (metrics, charts, tables), data transformations. Dashboards can be attached to segments for dynamic audience insights during segment building."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/dashboards/{dashboard_registration_id}/contents":{"get":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"max_results":{"type":"integer"},"total":{"type":"integer"},"first_result":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/DashboardContentResource"}}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Dashboards"],"operationId":"findDashboardContents","parameters":[{"required":true,"style":"simple","in":"path","schema":{"type":"string"},"explode":false,"name":"dashboard_registration_id"},{"name":"organisation_id","required":true,"schema":{"type":"integer","format":"int64"},"style":"form","in":"query","explode":true},{"explode":true,"in":"query","schema":{"type":"integer","format":"int32"},"name":"first_result","required":false,"description":"Offset from which the search must be performed","style":"form"},{"schema":{"type":"integer","format":"int32"},"in":"query","name":"max_results","explode":true,"style":"form","required":false,"description":"Number of maximum items that shall be return by this search"}],"summary":"Search dashboard contents","description":""}}},"components":{"schemas":{"DashboardContentResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"created_by":{"type":"string","readOnly":false},"dashboard_registration_id":{"type":"string","readOnly":false},"content":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":true}},"required":["content","created_by","created_ts","id","organisation_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /dashboards

> Search dashboard registrations

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Dashboards","description":"Operations related to Dashboards for visualizing and monitoring platform metrics, campaign performance, and audience analytics. Supports custom dashboard creation with OTQL queries, multiple visualization types (metrics, charts, tables), data transformations. Dashboards can be attached to segments for dynamic audience insights during segment building."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/dashboards":{"get":{"parameters":[{"in":"query","schema":{"type":"integer","format":"int64"},"required":false,"explode":true,"name":"organisation_id","style":"form"},{"in":"query","explode":true,"required":false,"style":"form","schema":{"type":"integer","format":"int64"},"name":"community_id"},{"in":"query","name":"is_community","style":"form","schema":{"type":"boolean"},"required":false,"explode":true,"deprecated":true,"description":"Deprecated, interpret the organisation id as a community id"},{"in":"query","description":"If true the result will contain only archived dashboards","style":"form","schema":{"type":"boolean"},"explode":true,"name":"archived","required":false},{"style":"form","schema":{"type":"integer","format":"int32"},"name":"first_result","required":false,"description":"Offset from which the search must be performed","explode":true,"in":"query"},{"required":false,"explode":true,"schema":{"type":"integer","format":"int32"},"name":"max_results","description":"Number of maximum items that shall be return by this search","style":"form","in":"query"}],"summary":"Search dashboard registrations","tags":["Dashboards"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"first_result":{"type":"integer"},"max_results":{"type":"integer"},"count":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/DashboardRegistrationResource"}},"total":{"type":"integer"},"status":{"type":"string","enum":["ok"]}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findDashboardRegistrations","description":""}}},"components":{"schemas":{"DashboardRegistrationResource":{"type":"object","properties":{"builder_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"organisation_id":{"type":"string","readOnly":true},"scopes":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"segment_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"dashboard_content_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"title":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"community_id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true}},"required":["archived","builder_ids","community_id","created_by","created_ts","id","organisation_id","scopes","segment_ids","title"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /dashboards

> Create dashboard registration

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Dashboards","description":"Operations related to Dashboards for visualizing and monitoring platform metrics, campaign performance, and audience analytics. Supports custom dashboard creation with OTQL queries, multiple visualization types (metrics, charts, tables), data transformations. Dashboards can be attached to segments for dynamic audience insights during segment building."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/dashboards":{"post":{"summary":"Create dashboard registration","requestBody":{"description":"The dashboard registration to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardRegistrationResource"}}},"required":true},"description":"","operationId":"createDashboardRegistration","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DashboardRegistrationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Dashboards"]}}},"components":{"schemas":{"DashboardRegistrationResource":{"type":"object","properties":{"builder_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"organisation_id":{"type":"string","readOnly":true},"scopes":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"segment_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"dashboard_content_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"title":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"community_id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true}},"required":["archived","builder_ids","community_id","created_by","created_ts","id","organisation_id","scopes","segment_ids","title"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /charts/{id}

> Get dashboard chart by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Dashboards","description":"Operations related to Dashboards for visualizing and monitoring platform metrics, campaign performance, and audience analytics. Supports custom dashboard creation with OTQL queries, multiple visualization types (metrics, charts, tables), data transformations. Dashboards can be attached to segments for dynamic audience insights during segment building."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/charts/{id}":{"get":{"parameters":[{"schema":{"type":"string"},"in":"path","required":true,"style":"simple","explode":false,"name":"id"},{"explode":true,"name":"organisation_id","style":"form","schema":{"type":"integer","format":"int64"},"required":true,"in":"query"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DashboardChartResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getDashboardChart","tags":["Dashboards"],"description":"","summary":"Get dashboard chart by id"}}},"components":{"schemas":{"DashboardChartResource":{"type":"object","properties":{"type":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"title":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false}},"required":["archived","content","created_by","created_ts","id","organisation_id","title","type"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /charts/{id}

> Update dashboard chart

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Dashboards","description":"Operations related to Dashboards for visualizing and monitoring platform metrics, campaign performance, and audience analytics. Supports custom dashboard creation with OTQL queries, multiple visualization types (metrics, charts, tables), data transformations. Dashboards can be attached to segments for dynamic audience insights during segment building."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/charts/{id}":{"put":{"tags":["Dashboards"],"parameters":[{"in":"path","name":"id","explode":false,"schema":{"type":"string"},"style":"simple","required":true}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DashboardChartResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Update dashboard chart","requestBody":{"description":"The dashboard chart to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardChartResource"}}},"required":true},"operationId":"updateDashboardChart","description":""}}},"components":{"schemas":{"DashboardChartResource":{"type":"object","properties":{"type":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"content":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"title":{"type":"string","readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false}},"required":["archived","content","created_by","created_ts","id","organisation_id","title","type"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /charts/{id}

> Delete dashboard chart

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Dashboards","description":"Operations related to Dashboards for visualizing and monitoring platform metrics, campaign performance, and audience analytics. Supports custom dashboard creation with OTQL queries, multiple visualization types (metrics, charts, tables), data transformations. Dashboards can be attached to segments for dynamic audience insights during segment building."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/charts/{id}":{"delete":{"operationId":"deleteDashboardChart","description":"","summary":"Delete dashboard chart","parameters":[{"explode":false,"name":"id","style":"simple","schema":{"type":"string"},"in":"path","required":true},{"required":true,"explode":true,"in":"query","name":"organisation_id","style":"form","schema":{"type":"integer","format":"int64"}}],"tags":["Dashboards"],"responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /dashboards/{id}

> Get dashboard registration by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Dashboards","description":"Operations related to Dashboards for visualizing and monitoring platform metrics, campaign performance, and audience analytics. Supports custom dashboard creation with OTQL queries, multiple visualization types (metrics, charts, tables), data transformations. Dashboards can be attached to segments for dynamic audience insights during segment building."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/dashboards/{id}":{"get":{"description":"","summary":"Get dashboard registration by id","tags":["Dashboards"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DashboardRegistrationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getDashboardRegistration","parameters":[{"in":"path","name":"id","style":"simple","explode":false,"required":true,"schema":{"type":"string"}},{"schema":{"type":"integer","format":"int64"},"required":true,"name":"organisation_id","explode":true,"in":"query","style":"form"}]}}},"components":{"schemas":{"DashboardRegistrationResource":{"type":"object","properties":{"builder_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"organisation_id":{"type":"string","readOnly":true},"scopes":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"segment_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"dashboard_content_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"title":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"community_id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true}},"required":["archived","builder_ids","community_id","created_by","created_ts","id","organisation_id","scopes","segment_ids","title"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /dashboards/{id}

> Update dashboard registration

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Dashboards","description":"Operations related to Dashboards for visualizing and monitoring platform metrics, campaign performance, and audience analytics. Supports custom dashboard creation with OTQL queries, multiple visualization types (metrics, charts, tables), data transformations. Dashboards can be attached to segments for dynamic audience insights during segment building."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/dashboards/{id}":{"put":{"description":"","parameters":[{"style":"simple","required":true,"explode":false,"name":"id","in":"path","schema":{"type":"string"}}],"summary":"Update dashboard registration","operationId":"updateDashboardRegistration","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DashboardRegistrationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Dashboards"],"requestBody":{"description":"The dashboard registration to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardRegistrationResource"}}},"required":true}}}},"components":{"schemas":{"DashboardRegistrationResource":{"type":"object","properties":{"builder_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"archived":{"type":"boolean","default":false,"readOnly":false},"organisation_id":{"type":"string","readOnly":true},"scopes":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"segment_ids":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":false},"dashboard_content_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"title":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"community_id":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true}},"required":["archived","builder_ids","community_id","created_by","created_ts","id","organisation_id","scopes","segment_ids","title"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /dashboards/{id}

> Delete dashboard registration

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Dashboards","description":"Operations related to Dashboards for visualizing and monitoring platform metrics, campaign performance, and audience analytics. Supports custom dashboard creation with OTQL queries, multiple visualization types (metrics, charts, tables), data transformations. Dashboards can be attached to segments for dynamic audience insights during segment building."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/dashboards/{id}":{"delete":{"description":"","summary":"Delete dashboard registration","operationId":"deleteDashboardRegistration","tags":["Dashboards"],"responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"required":true,"name":"id","style":"simple","in":"path","schema":{"type":"string"},"explode":false},{"explode":true,"style":"form","in":"query","name":"organisation_id","schema":{"type":"integer","format":"int64"},"required":true}]}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /dashboards/{dashboard\_registration\_id}/content

> Get dashboard content

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Dashboards","description":"Operations related to Dashboards for visualizing and monitoring platform metrics, campaign performance, and audience analytics. Supports custom dashboard creation with OTQL queries, multiple visualization types (metrics, charts, tables), data transformations. Dashboards can be attached to segments for dynamic audience insights during segment building."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/dashboards/{dashboard_registration_id}/content":{"get":{"summary":"Get dashboard content","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DashboardContentResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"explode":false,"in":"path","name":"dashboard_registration_id","required":true,"schema":{"type":"string"},"style":"simple"},{"schema":{"type":"integer","format":"int64"},"explode":true,"style":"form","in":"query","required":true,"name":"organisation_id"}],"description":"","tags":["Dashboards"],"operationId":"getDashboardContent"}}},"components":{"schemas":{"DashboardContentResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"created_by":{"type":"string","readOnly":false},"dashboard_registration_id":{"type":"string","readOnly":false},"content":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":true}},"required":["content","created_by","created_ts","id","organisation_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /dashboards/{dashboard\_registration\_id}/content

> Create dashboard content

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Dashboards","description":"Operations related to Dashboards for visualizing and monitoring platform metrics, campaign performance, and audience analytics. Supports custom dashboard creation with OTQL queries, multiple visualization types (metrics, charts, tables), data transformations. Dashboards can be attached to segments for dynamic audience insights during segment building."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/dashboards/{dashboard_registration_id}/content":{"put":{"description":"","operationId":"createDashboardContent","summary":"Create dashboard content","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DashboardContentResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Dashboards"],"requestBody":{"description":"The dashboard content to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomizableContentResource"}}},"required":true},"parameters":[{"required":true,"in":"path","schema":{"type":"string"},"explode":false,"name":"dashboard_registration_id","style":"simple"}]}}},"components":{"schemas":{"DashboardContentResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":false},"created_by":{"type":"string","readOnly":false},"dashboard_registration_id":{"type":"string","readOnly":false},"content":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":true}},"required":["content","created_by","created_ts","id","organisation_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"CustomizableContentResource":{"type":"object"}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/datamart-management/dashboards.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
